org.apache.hc.client5.http

## Interface UserTokenHandler

- All Known Implementing Classes:
    DefaultUserTokenHandler, NoopUserTokenHandler

      @Contract(threading=STATELESS)
      public interface UserTokenHandler

  A handler for determining if the given execution context is user specific or not. The token object returned by this handler is expected to uniquely identify the current user if the context is user specific or to be `null` if the context does not contain any resources or details specific to the current user.

  The user token will be used to ensure that user specific resources will not be shared with or reused by other users.

  Since:
    4.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getUserToken(HttpRoute route, org.apache.hc.core5.http.protocol.HttpContext context)` The token object returned by this method is expected to uniquely identify the current user if the context is user specific or to be `null` if it is not.
    `default Object` | `getUserToken(HttpRoute route, org.apache.hc.core5.http.HttpRequest request, org.apache.hc.core5.http.protocol.HttpContext context)` The token object returned by this method is expected to uniquely identify the current user if the context is user specific or to be `null` if it is not.

- - ### Method Detail

    - #### getUserToken

          Object getUserToken(HttpRoute route,
                              org.apache.hc.core5.http.protocol.HttpContext context)

      The token object returned by this method is expected to uniquely identify the current user if the context is user specific or to be `null` if it is not.
      Parameters:
        `route` - HTTP route
        `context` - the execution context
      Returns:
        user token that uniquely identifies the user or `null` if the context is not user specific.

    - #### getUserToken

          default Object getUserToken(HttpRoute route,
                                      org.apache.hc.core5.http.HttpRequest request,
                                      org.apache.hc.core5.http.protocol.HttpContext context)

      The token object returned by this method is expected to uniquely identify the current user if the context is user specific or to be `null` if it is not.
      Parameters:
        `route` - HTTP route
        `request` - HTTP request
        `context` - the execution context
      Returns:
        user token that uniquely identifies the user or `null` if the context is not user specific.
      Since:
        5.2

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.